> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Settings Bot

> Configure settings for an Evolution Bot.



## OpenAPI

````yaml openapi-v2 POST /evolutionBot/settings/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /evolutionBot/settings/{instance}:
    post:
      tags:
        - Evolution Bot Controller
      summary: Create Evolution Bot Settings
      description: Configure settings for an Evolution Bot.
      operationId: createEvolutionBotSettings
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - expire
                - keywordFinish
                - delayMessage
                - unknownMessage
                - listeningFromMe
                - stopBotFromMe
                - keepOpen
                - debounceTime
                - botIdFallback
              properties:
                expire:
                  type: number
                  description: Expiration time for the session (in seconds)
                keywordFinish:
                  type: string
                  description: Keyword to terminate the session
                delayMessage:
                  type: number
                  description: Delay time (in ms) for sending messages
                unknownMessage:
                  type: string
                  description: Message displayed when an unknown input is received
                listeningFromMe:
                  type: boolean
                  description: Listen to messages sent by the bot owner
                stopBotFromMe:
                  type: boolean
                  description: Stop bot when the owner sends a message
                keepOpen:
                  type: boolean
                  description: Keep the session open after processing messages
                debounceTime:
                  type: number
                  description: Time delay to debounce messages
                ignoreJids:
                  type: array
                  items:
                    type: string
                  description: List of JIDs to ignore
                botIdFallback:
                  type: string
                  description: Fallback bot ID to use
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````